<?php

namespace MediaWiki\Extension\CustomQueryPage\Store;

class RoutineCloneResult {
    private int $revisionCount;
    private int $pageCount;

    public function __construct( int $revisionCount, int $pageCount ) {
        $this->revisionCount = $revisionCount;
        $this->pageCount = $pageCount;
    }

    public function getRevisionCount(): int {
        return $this->revisionCount;
    }

    public function getPageCount(): int {
        return $this->pageCount;
    }
}
